Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.lifecycle
Interface Lifecycle

All Superinterfaces:
  Disposable, Initialisable, Startable, Stoppable

All Known Subinterfaces:
  Agent, Connectable, Connector, LifecycleAdapter, MessageDispatcher, MessageReceiver, MessageRequester, Model, MuleContext, Service

All Known Implementing Classes:
  AbderaServiceComponent, AbstractAgent, AbstractComponent, AbstractConnectable, AbstractConnector, AbstractFlowConstruct, AbstractJavaComponent, AbstractJndiConnector, AbstractMailConnector, AbstractMessageDispatcher, AbstractMessageReceiver, AbstractMessageRequester, AbstractModel, AbstractNotificationLoggerAgent, AbstractPollingMessageReceiver, AbstractRetrieveMailConnector, AbstractService, AbstractTlsRetrieveMailConnector, AbstractWebServiceWrapperComponent, ActiveMQJmsConnector, ActiveMQXAJmsConnector, AjaxConnector, AjaxMessageDispatcher, AjaxMessageReceiver, AjaxServletConnector, AxisConnector, AxisMessageDispatcher, AxisMessageReceiver, AxisMessageRequester, AxisWsdlConnector, AxisWsdlMessageDispatcher, Bridge, ConfigScannerAgent, CxfInboundMessageProcessor, DefaultComponentLifecycleAdapter, DefaultJavaComponent, DefaultJmxSupportAgent, DefaultMuleContext, EjbConnector, EjbMessageDispatcher, EjbMessageReceiver, EndpointNotificationLoggerAgent, FileConnector, FileMessageDispatcher, FileMessageReceiver, FileMessageRequester, FlowConfiguringMessageProcessor, FtpConnector, FtpMessageDispatcher, FtpMessageReceiver, FtpMessageRequester, GmailSmtpConnector, HeartbeatAgent, HttpClientMessageDispatcher, HttpClientMessageRequester, HttpConnector, HttpMessageReceiver, HttpPollingConnector, HttpsClientMessageDispatcher, HttpsConnector, HttpsMessageReceiver, HttpsPollingConnector, IBeanFlowConstruct, IBeansConnector, IBeansMessageDispatcher, IBeansMessageReceiver, ImapConnector, ImapsConnector, InheritedModel, JBpmConnector, JcaComponent, JcaModel, JcaService, JdbcConnector, JdbcMessageDispatcher, JdbcMessageReceiver, JdbcMessageRequester, JdmkAgent, JerseyResourcesComponent, JettyHttpConnector, JettyHttpMessageReceiver, JettyHttpsConnector, JmsConnector, JmsMessageDispatcher, JmsMessageReceiver, JmsMessageRequester, JmxAgent, JmxServerNotificationAgent, JnpConnector, LocalSocketTcpMessageDispatcher, Log4jAgent, Log4jNotificationLoggerAgent, MuleMQJmsConnector, MuleMQXAJmsConnector, MulticastConnector, MulticastMessageReceiver, MultiConsumerJmsMessageReceiver, Mx4jAgent, NullConnector, NullLifecycleAdapter, PassThroughComponent, PollingHttpMessageReceiver, PollingTcpConnector, PollingTcpMessageReceiver, PooledJavaComponent, Pop3Connector, Pop3sConnector, ProcessComponent, ProcessConnector, ProcessMessageDispatcher, ProcessMessageReceiver, PromptStdioConnector, QuartzConnector, QuartzMessageDispatcher, QuartzMessageReceiver, RemoteDispatcherAgent, RestServiceWrapper, RetrieveMessageReceiver, RetrieveMessageRequester, RmiCallbackMessageReceiver, RmiConnector, RmiMessageDispatcher, RmiMessageReceiver, RmiRegistryAgent, ScriptComponent, SedaModel, SedaService, SedaStageInterceptingMessageProcessor, ServletConnector, ServletMessageReceiver, SimpleCallableJavaComponent, SimpleFlowConstruct, SimpleService, SingleJmsMessageReceiver, SmtpConnector, SmtpMessageDispatcher, SmtpsConnector, SslConnector, SslMessageReceiver, StdioConnector, StdioMessageDispatcher, StdioMessageReceiver, TcpConnector, TcpMessageDispatcher, TcpMessageReceiver, TcpMessageRequester, TlsConnector, TransactedPollingMessageReceiver, TransactedSingleResourceJmsMessageReceiver, UdpConnector, UdpMessageDispatcher, UdpMessageReceiver, UdpMessageRequester, UnsupportedMessageDispatcher, UnsupportedMessageRequester, VMConnector, VMMessageDispatcher, VMMessageReceiver, VMMessageRequester, WeblogicJmsConnector, WebServiceWrapperComponent, WebServiceWrapperComponent, WebsphereJmsConnector, WebsphereTransactedJmsMessageReceiver, WrapperManagerAgent, WSProxy, XaTransactedJmsMessageReceiver, XmppConnector, XmppMessageDispatcher, XmppMessageReceiver, XmppMessageRequester, XmppPollingMessageReceiver, YourKitProfilerAgent

    public interface Lifecycle

extends Initialisable, Startable, Stoppable, Disposable

`DefaultLifecyclePhase` adds lifecycle methods `start`, `stop` and `dispose`.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.